/// <reference types="react" />
import { RenderNodeOptions } from '../types/SlatePluginOptions/RenderNodeOptions';
import { TRenderElementProps } from '../types/TRenderElementProps';
/**
 * Get a `Editable.renderElement` handler for `options.type`.
 * If the type is equals to the slate element type, render `options.component`.
 * Else, return `undefined` so the pipeline can check the next plugin.
 */
export declare const getEditableRenderElement: (options: RenderNodeOptions | RenderNodeOptions[]) => ({ attributes, element, children }: TRenderElementProps) => JSX.Element | undefined;
//# sourceMappingURL=getEditableRenderElement.d.ts.map