import { HistoryEditor } from 'slate-history/dist/history-editor';
import { ReactEditor } from 'slate-react';
import { State } from '../types/SlatePluginsStore';
import { SPEditor } from '../types/SPEditor';
import { TEditor } from '../types/TEditor';
export declare const useStoreState: (id?: string) => State | undefined;
/**
 * Slate editor with generic type (default is `ReactEditor & HistoryEditor & RandomKeyEditor`).
 */
export declare const useStoreEditor: <T extends TEditor<{}> | undefined = ReactEditor & HistoryEditor>(id?: string | undefined) => T & SPEditor;
export declare const useStoreEditorEnabled: (id?: string | undefined) => boolean | undefined;
export declare const useStoreEditorValue: (id?: string | undefined) => any[] | undefined;
export declare const useStoreSlatePlugins: (id?: string | undefined) => import("..").SlatePlugin[] | undefined;
export declare const useStoreSlatePluginKeys: (id?: string | undefined) => string[] | undefined;
export declare const useStoreEditorOptions: (id?: string | undefined) => import("..").SlatePluginsOptions;
//# sourceMappingURL=useSlatePluginsSelectors.d.ts.map