import { SPEditor } from '../SPEditor';
import { TNode } from '../TNode';
/**
 * Function called whenever a change occurs in the editor.
 * To prevent the next handler from running, return false.
 * @see {@link SlatePropsOnChange}
 */
export declare type OnChange = (editor: SPEditor) => (value: TNode[]) => boolean | void;
//# sourceMappingURL=OnChange.d.ts.map