import { TElement } from '../TElement';
import { TText } from '../TText';
/**
 * Map slate node props to `nodeProps`.
 * `nodeProps` is passed as a props to the React component.
 */
export declare type GetNodeProps = (options: {
    attributes: any;
    children: any;
    element?: TElement;
    leaf?: TText;
    text?: TText;
}) => NodeProps;
/**
 * Props passed from `getNodeProps` option.
 */
export declare type NodeProps = {
    [key: string]: any;
};
//# sourceMappingURL=GetNodeProps.d.ts.map